Bug 591676 - xorg-x11-drv-nouveau shouldn't depend on libudev-devel
xorg-x11-drv-nouveau shouldn't depend on libudev-devel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
13
All Linux
high Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 15:59 EDT by Peter Robinson
Modified: 2010-05-17 15:08 EDT (History)
5 users (show)

See Also:
Fixed In Version: xorg-x11-drv-nouveau-0.0.16-6.20100423git13c1043.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-17 15:08:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2010-05-12 15:59:58 EDT
A standard X driver shouldn't be depending on -devel packages.

---> Package xorg-x11-drv-nouveau.x86_64 1:0.0.16-5.20100423git13c1043.fc13 set to be updated
--> Processing Dependency: libudev-devel for package: 1:xorg-x11-drv-nouveau-0.0.16-5.20100423git13c1043.fc13.x86_64
--> Running transaction check
---> Package libudev-devel.x86_64 0:151-9.fc13 set to be updated
--> Finished Dependency Resolution
Comment 1 Kalev Lember 2010-05-16 09:42:04 EDT
This appears to be fixed in xorg-x11-drv-nouveau-0.0.16-6, but can you also push that build as an update for F-13 in Bodhi?

Also, I have a comment about the fix in 0.0.16-6:
-Requires:  libudev-devel
+Requires:  libudev

I think better option is to remove the Requires: libudev line completely. xorg-x11-drv-nouveau rpm package will automatically get a dependency on libudev.so.0, which is enough to make sure that the libudev package gets pulled in. According to Fedora packaging guidelines [1] we should rely on automatic deps instead.

[1] http://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires
Comment 2 Fedora Update System 2010-05-16 20:12:48 EDT
xorg-x11-drv-nouveau-0.0.16-6.20100423git13c1043.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xorg-x11-drv-nouveau-0.0.16-6.20100423git13c1043.fc13
Comment 3 Ben Skeggs 2010-05-16 20:13:42 EDT
Ah thanks, I've submitted the update now.  Thanks for the hint Kalev, I'll look
into it and consider changing it when I do another "real" update :)
Comment 4 Fedora Update System 2010-05-17 15:08:25 EDT
xorg-x11-drv-nouveau-0.0.16-6.20100423git13c1043.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.